package com.force.sdk.streaming.model;

import com.google.gson.Gson;

import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Java com.force.sdk.streaming.model for the Force.com PushTopic object.
 *
 * For this class, the following operations are available
 * via Force.com JPA:
 *
 *     Create : true
 *     Read   : true
 *     Update : true
 *     Delete : true
 *
 * This class was auto-generated. It is considered owned
 * by the Force.com database.
 *
 * @author Naaman Newbold (nnewbold@salesforce.com)
 **/
@javax.annotation.Generated(value="com.force.sdk.codegen.ForceJPAClassGenerator")
@Table(name="PushTopic")
@Entity(name="PushTopic")
@com.force.sdk.jpa.annotation.CustomObject(readOnlySchema=true)
@XmlRootElement
public class PushTopic {

    public static final String KEY_PREFIX = "0IF";

    protected String id;
    protected String name;
    protected String query;
    protected double apiVersion;
    protected String description;
    protected boolean isDeleted;
    protected java.util.Calendar createdDate;
    protected User createdBy;
    protected java.util.Calendar lastModifiedDate;
    protected User lastModifiedBy;
    protected java.util.Calendar systemModstamp;

    public PushTopic() {

    }

    public PushTopic(String name, double apiVersion, String query, String description) {
        this.name = name;
        this.apiVersion = apiVersion;
        this.query = query;
        this.description = description;
    }

    public String toString() {
        return new Gson().toJson(this).toString();
    }

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }
    
    @Basic(optional=false)
    public void setName(String name) {
        this.name = name;
    }
    
    public String getQuery() {
        return this.query;
    }
    
    @Basic(optional=false)
    public void setQuery(String query) {
        this.query = query;
    }
    
    public double getApiVersion() {
        return this.apiVersion;
    }
    
    @Basic(optional=false)
    public void setApiVersion(double apiVersion) {
        this.apiVersion = apiVersion;
    }
    
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public boolean getIsDeleted() {
        return this.isDeleted;
    }
    
    public void setIsDeleted(boolean isDeleted) {
        this.isDeleted = isDeleted;
    }
    
    public java.util.Calendar getCreatedDate() {
        return this.createdDate;
    }
    
    public void setCreatedDate(java.util.Calendar createdDate) {
        this.createdDate = createdDate;
    }
    
    @ManyToOne
    @Basic(fetch=FetchType.LAZY)
    @Column(name="CreatedById")
    public User getCreatedBy() {
        return this.createdBy;
    }
    
    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }
    
    @Version
    public java.util.Calendar getLastModifiedDate() {
        return this.lastModifiedDate;
    }
    
    public void setLastModifiedDate(java.util.Calendar lastModifiedDate) {
        this.lastModifiedDate = lastModifiedDate;
    }
    
    @ManyToOne
    @Basic(fetch=FetchType.LAZY)
    @Column(name="LastModifiedById")
    public User getLastModifiedBy() {
        return this.lastModifiedBy;
    }
    
    public void setLastModifiedBy(User lastModifiedBy) {
        this.lastModifiedBy = lastModifiedBy;
    }
    
    public java.util.Calendar getSystemModstamp() {
        return this.systemModstamp;
    }
    
    public void setSystemModstamp(java.util.Calendar systemModstamp) {
        this.systemModstamp = systemModstamp;
    }
    
    
}